Groovy Documentation

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyAnnotationRef

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyAnnotationRef

All Implemented Interfaces:
  GroovyAnnotationRef

    public class SimpleGroovyAnnotationRef
    extends java.lang.Object

Constructor Summary
`SimpleGroovyAnnotationRef(java.lang.String name, java.lang.String desc)`

Method Summary
`java.lang.String` | `description()`
`java.lang.String` | `name()`
`void` | `setName(java.lang.String name)`
`void` | `setType(GroovyClassDoc type)`
`GroovyClassDoc` | `type()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleGroovyAnnotationRef

    public SimpleGroovyAnnotationRef(java.lang.String name, java.lang.String desc)

Method Detail

### description

    public java.lang.String description()

### name

    public java.lang.String name()

### setName

    public void setName(java.lang.String name)

### setType

    public void setType(GroovyClassDoc type)

### type

    public GroovyClassDoc type()

Groovy Documentation